package org.bitbucket.bradleysmithllc.etlunit.metadata;

import org.bitbucket.bradleysmithllc.etlunit.io.JsonSerializable;

import java.util.List;
import java.util.Map;

public interface MetaDataContext extends JsonSerializable
{
	String getContextName();
	MetaDataPackageContext createPackageContext(String pack, MetaDataPackageContext.path_type pathType);
	MetaDataPackageContext createPackageContextForCurrentTest(MetaDataPackageContext.path_type pathType);
	List<MetaDataPackageContext> getPackageContexts();

	Map<String, MetaDataPackageContext> getPackageContextMap();
}