package org.bitbucket.bradleysmithllc.etlunit;

import java.io.*;

public class NoOpProcessExecutor implements ProcessExecutor
{
	@Override
	public ProcessFacade execute(final ProcessDescription pd)
	{
		return new ProcessFacade()
		{
			@Override
			public ProcessDescription getDescriptor()
			{
				return pd;
			}

			@Override
			public void waitForStreams()
			{
			}

			@Override
			public void waitForOutputStreamsToComplete() {
			}

			@Override
			public void waitForCompletion()
			{
			}

			@Override
			public int getCompletionCode()
			{
				return 0;
			}

			@Override
			public void kill()
			{
			}

			@Override
			public Writer getWriter()
			{
				return null;
			}

			@Override
			public BufferedReader getReader()
			{
				return null;
			}

			@Override
			public BufferedReader getErrorReader()
			{
				return null;
			}

			@Override
			public StringBuffer getInputBuffered() throws IOException
			{
				return new StringBuffer();
			}

			@Override
			public StringBuffer getErrorBuffered() throws IOException
			{
				return new StringBuffer();
			}

			@Override
			public OutputStream getOutputStream()
			{
				return null;
			}

			@Override
			public InputStream getInputStream()
			{
				return null;
			}

			@Override
			public InputStream getErrorStream()
			{
				return null;
			}
		};
	}
}
