package org.bitbucket.bradleysmithllc.etlunit.feature;

import org.bitbucket.bradleysmithllc.etlunit.ClassDirector;
import org.bitbucket.bradleysmithllc.etlunit.NullClassDirector;
import org.bitbucket.bradleysmithllc.etlunit.SuiteClassDirectorImpl;
import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestClass;
import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestMethod;
import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestOperation;

import java.util.ArrayList;
import java.util.List;
import java.util.regex.Pattern;

public class SuiteClassDirectorFeature extends AbstractFeature
{
	private final SuiteClassDirectorImpl classDirector;

	public SuiteClassDirectorFeature(String desc)
	{
		classDirector = new SuiteClassDirectorImpl(desc);
	}

	@Override
	public String getFeatureName()
	{
		return "suite-class-director_" + System.identityHashCode(this);
	}

	@Override
	public ClassDirector getDirector()
	{
		return classDirector;
	}

	@Override
	public long getPriorityLevel()
	{
		return -1L;
	}
}
